namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter06.Listing06_08
{
    using System;

    public class Program
    {
        public static void Main()
        {
            Employee employee1 = new Employee();
            Employee employee2;
            employee2 = new Employee();

            employee1.FirstName = "Inigo";
            employee1.LastName = "Montoya";
            employee1.Salary = "Za niskie";
            IncreaseSalary(employee1);
            Console.WriteLine(
                $"{ employee1.GetName() }: { employee1.Salary }");

        }

        static void IncreaseSalary(Employee employee)
        {
            employee.Salary = "Wystarczające, by przeżyć";
        }
    }

    class Employee
    {
        public string FirstName;
        public string LastName;
        public string Salary = "Za niskie";

        public string GetName()
        {
            return FirstName + " " + LastName;
        }
    }
}
